#include "Platform.h"
#include <string.h>
#include <stdio.h>
#include <time.h>
#include "SPLReader.h"
#include "BaseCommunication.h"

#include "memory_placements.h"

#define base CSHUReader

CSPLReader::CSPLReader(CReader *Owner, CBaseCommunication *Communicator)
	:base(Owner, Communicator)
{
}

CSPLReader::~CSPLReader(void)
{
}

void CSPLReader::SetHWString(char *String)
{
	strcpy(String, "SPL_");
}

void CSPLReader::GetProductString(uint8_t *Product)
{
	memcpy(Product, "CJSPL", 5);
}
